Loading...
Searching...
No Matches
BALL::VIEW::PluginDirectoryModel Class Reference

`#include <BALL/VIEW/DIALOGS/pluginDialog.h>`

Inheritance diagram for BALL::VIEW::PluginDirectoryModel:

## Public Member Functions

| PluginDirectoryModel (QObject *parent=0)
int | rowCount (const QModelIndex &=QModelIndex()) const
QVariant | data (const QModelIndex &i, int role) const
void | addDirectory (const QString &dir)
void | removeDirectory (const QModelIndex &index)

## Detailed Description

A wrapper around the plugin manager that provides a model on the current plugin directories

Definition at line 51 of file pluginDialog.h.

## Constructor & Destructor Documentation

## PluginDirectoryModel()

BALL::VIEW::PluginDirectoryModel::PluginDirectoryModel | ( | QObject * | parent = 0 | ) |

explicit

## Member Function Documentation

## addDirectory()

void BALL::VIEW::PluginDirectoryModel::addDirectory | ( | const QString & | dir | ) |

## data()

QVariant BALL::VIEW::PluginDirectoryModel::data | ( | const QModelIndex & | i,
|  | int | role ) const

## removeDirectory()

void BALL::VIEW::PluginDirectoryModel::removeDirectory | ( | const QModelIndex & | index | ) |

## rowCount()

int BALL::VIEW::PluginDirectoryModel::rowCount | ( | const QModelIndex & | = QModelIndex() | ) | const